VERSION 5.00
Begin VB.Form FormDisplay 
   BackColor       =   &H00000000&
   BorderStyle     =   0  'None
   ClientHeight    =   1845
   ClientLeft      =   2010
   ClientTop       =   2430
   ClientWidth     =   1845
   ControlBox      =   0   'False
   FillStyle       =   0  'Solid
   Icon            =   "Display.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   123
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   123
   ShowInTaskbar   =   0   'False
   WindowState     =   2  'Maximized
   Begin VB.Timer Timer1 
      Interval        =   20
      Left            =   720
      Top             =   720
   End
End
Attribute VB_Name = "FormDisplay"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Private BufferTime As Single
Private PwMode As Boolean
 Dim done As Integer
  Dim oldx, oldy As Single
  Dim go As Integer, xx, nn, s, cc

' Try to terminate.  This code would never be called in NT.
Private Sub HumanEvent()
  If PreviewMode Then
    ' human events shouldn't close the preview mode
  ElseIf BufferTime <= Timer And Timer < BufferTime + 0.5 Then
    ' give the person a half second to stop moving the mouse after cancelling a password box
  ElseIf PwMode Then
    ' if passwords are turned on check the password
    ShowCursor True ' need cursor for the dialog box
    If VerifyScreenSavePwd(Me.hwnd) Then Unload Me
    ShowCursor False
    BufferTime = Timer
  Else
    Unload Me
  End If
End Sub

Private Sub Form_KeyDown(KeyCode As Integer, Shift As Integer)
  HumanEvent
End Sub

Private Sub Form_KeyPress(KeyAscii As Integer)
  HumanEvent
End Sub

Private Sub Form_Click()
  HumanEvent
End Sub

Private Sub Form_MouseDown(Button As Integer, Shift As Integer, x As Single, y As Single)
  HumanEvent
End Sub

Private Sub Form_MouseMove(Button As Integer, Shift As Integer, x As Single, y As Single)
Static x0 As Single
Static y0 As Single
  ' unload on large mouse movements
  If ((x0 = 0) And (y0 = 0)) Or _
    ((Abs(x0 - x) <= 1) And (Abs(y0 - y) <= 1)) Then
      ' it's just a small movement
      x0 = x
      y0 = y
  Else
    HumanEvent
  End If
End Sub

Private Sub Form_Load()
  ' load configuration information
  LoadConfig
  Timer1.Interval = interv
 Scale (-2000, 6000)-(0, 4000)
20   kk = Int(Rnd * 10) + 1: vq = 1: cq = 1
fluf = Int(Rnd * flub + 1)
Randomize
aaa = Int(Rnd * 255): bbb = Int(Rnd * 255): ccc = Int(Rnd * 255):
fr = Int(Rnd * 20 + 1): sr = Int(fr * Rnd + 1)
csf = 1
  If Not PreviewMode Then
    ' record the time, ignore human actions for the next half second
    BufferTime = Timer
    
    ' Find out if the user has enabled passwords for this screen saver
    PwMode = CBool(Val(ReadRegistry(HKEY_CURRENT_USER, "Control Panel\Desktop", "ScreenSaveUsePassword")))
    ' Stop Ctrl+Alt+Del (among other things)
    SystemParametersInfo SPI_SCREENSAVERRUNNING, 1&, 0&, 0&
    
    ' hide the cursor
    ShowCursor False
  End If
  
  Randomize
End Sub

Private Sub Form_Unload(Cancel As Integer)
  If Not PreviewMode Then
    ' Redisplay the cursor
    ShowCursor True
    ' Reenable Ctrl+Alt+Del (among other things)
    SystemParametersInfo SPI_SCREENSAVERRUNNING, 0&, 0&, 0&
  End If
End Sub

' Draw another random circle.
Private Sub Timer1_Timer()
 Static q
If done Then
End
Else
For xx = 1 To 20
nn = nn + 1
If doom > 455 * 6 Then doom = 0:  csf = csf + 1: vq = 1 + 3 * Rnd: 'did it hit top
If csf = 8 Then Cls: csf = 1: cy = Int(Rnd * 2950) + 1: cx = Int(Rnd * 3200) + 1: cq = 2 * Rnd - 1
doom = doom + 1
For s = 1 To speed + 1: Next
cc = Int(doom Mod 455)
If cc = 0 Then
99 aao = aaa: aaa = Int(Rnd * 255): bbo = bbb: bbb = Int(Rnd * 255): cco = ccc: ccc = Int(Rnd * 255)
If (Abs(bbb - bbo) + Abs(aaa - aao) + Abs(ccc - cco)) < 100 Then GoTo 99

 End If
 a = aao * (455 - cc) / 456 + aaa * (cc) / 456
 b = bbo * (455 - cc) / 456 + bbb * (cc) / 456
 c = cco * (455 - cc) / 456 + ccc * (cc) / 456
 q = q - 3.141592 / (4 * fluf + moose - 0.02)
 If q < 0 Then
  q = 18000 * 3.141592 / (4 * fluf + moose - 0.02): fr = 5: sr = Int(fr * Rnd + 1): kk = Int(Rnd * 4) + 1: fluf = Int(Rnd * flub + 1): moose = 0.01 * Rnd
 If (sr = fr / 2) Or (sr = fr) Then sr = 2: ' Eliminate line stars
 End If
FillStyle = 0: DrawWidth = 1 + size
Line (3800 + cx + 3400 * Sin(q * 32) * 1.5 * (Sin(q * sr / 200) + cq), 2000 + cy + 3400 * Cos(q * 32) * 1.5 * (Sin(q * sr / 200) + cq))-(3800 + cx + 3400 * Sin(q * 32 + 3.1415 * sr / fr) * Sin(q / (100 * vq)), 2000 + cy + 3400 * Cos(q * 32 + 3.1415 * sr / fr) * Sin(q / (100 * vq))), RGB(a, b, c): 'QBColor(Int(Rnd * 15))
Next xx
   End If

  
End Sub
